/*
Name: AzetLogin.h
Copyright: GNU
Author:
Version: 1.0.0
Date: 8.6.2010
*/

#ifndef AZET_LOGIN_H_
#define AZET_LOGIN_H_
#include <string>

class AzetLogin {

    public:

    int auth( std::string nick, std::string pass, int ssl = 1 );
    std::string getId();

    private:

    std::string i9;

};
#endif

/*
using example:

    AzetLogin login;
    string id_session;

    with ssl:
    login.auth( "user_id", "pass", 1 );
    or login.auth( "user_id", "pass" );

    without ssl:
    login.auth( "user_id", "pass", 0 );

    id_session = login.getId()
*/
