/*
Name: AzetChatDevice.cpp
Copyright: GNU
Author: 
Version: 1.0.0
Date: 8.6.2010
*/

#include <pthread.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string>
#include "Http.h"
#include "AzetChatDevice.h"
//#include "Log.h"

using namespace std;

string AzetChatDevice::i9;

AzetChatDevice::AzetChatDevice( string auth ) {
    AzetChatDevice::i9 = auth;
}

vector <string> AzetChatDevice::getResponse() {
    int i, rc;
    // <<-- test: vlozim 1 kanal
    channels.push_back( "29" );
    // test -->>
    pthread_t thread[channels.size()];
    for( i = 0; i < channels.size(); i++ ) {
        void *pv = (void*)( const_cast<char*>( channels[i].c_str() ) );
        rc = pthread_create( &thread[i], NULL, AzetChatDevice::threadResponse, pv );
        if ( rc != 0 ) {
            //Log::catchEvent( "Thread of channel " + channels[i] + " has failed" );
        }
    }
}

void * AzetChatDevice::threadResponse( void *channel ) {
    Http *http;
    http = new Http();
    vector <string> content;
    string room = (char *)(channel);
    string test = AzetChatDevice::urlGenerator( room );
    // <<-- zde to vyhodi SIGSEGV    
    http->requestGet( test );
    // -->>
    content = AzetChatDevice::contentHandler( http->getContent() );
    // <<-- test output
    for( int i = 0; i < content.size(); i++ ) {
        cout << content[i] << "\n";
    }
    // -->>
}

string AzetChatDevice::urlGenerator( string channel ) {
    string unixtime, url;
    time_t current_time;
    int time_stamp;

    current_time = time( 0 );
    time_stamp = current_time * 1000;
    unixtime = time_stamp;

    url = "http://www-pokec.azet.sk/_s/chat/nacitajPrispevky.php?i9" + AzetChatDevice::i9 + "&lok=" + channel +
          //"&lastMsg=0&pub=0&prv=0&r=" + unixtime;
          "&lastMsg=0&pub=0&prv=0&r=";
    return url;
}

vector <string> AzetChatDevice::contentHandler( vector <string> content ) {
    //vector <string> new_content;
    return content;
}
