/*
Name: AzetChatDevice.h
Copyright: GNU
Author: 
Version: 1.0.0
Date: 8.6.2010
*/

#ifndef AZET_CHAT_DEVICE_H_
#define AZET_CHAT_DEVICE_H_
#include <string>
#include <vector>
#include <map>
#include "Http.h"
#   if !defined (_REENTRANT)
#     error _REENTRANT has to be defined!
#   endif /* _REENTRANT */


class AzetChatDevice {

    public:

    AzetChatDevice( std::string auth );
    std::vector <std::string> getResponse();
    void destructor();
    //int sendRequest( std::vector <std::string> data );

    private:

    static std::string urlGenerator( std::string channel );
    static void * threadResponse( void *channel );
    static std::vector <std::string> contentHandler( std::vector <std::string> content );

    private:

    static std::string i9;
    std::vector <std::string> channels;
    //std::map <int, std::string, ltstr > last_msg;

};
#endif

/*
using example:

    AzetChatDevice *chat;
    chat = new AzetChatDevice( string id_session );
    chat->getResponse();
*/
